fmt_strm_malloc(3)

NAME
fmt_strm_malloc - write multiple ASCII strings

SYNTAX
#include <stdlib.h> #include <libowfat/fmt.h>

char* fmt_strm_malloc(const char *source, ...);

DESCRIPTION
fmt_strm_malloc copies all leading nonzero bytes from source and following function arguments to a freshly allocated heap buffer and returns a pointer to it.

The buffer was allocated with malloc and you need to call free on it when you are done.

Unlink fmt_strm, fmt_strm_malloc does append \0.

SEE ALSO
fmt_str(3), fmt_strm(3), fmt_strm_alloca(3), alloca(3), strcpy(3)